%define major   10
%define libname %mklibname iscsi %major
# devname include major b/c open-iscsi generates another libiscsi:
%define devname %mklibname iscsi %major -d

# Conflict with iscsi-initiator-utils.
%global libiscsi_includedir %{_includedir}/iscsi
%global libiscsi_libdir %{_libdir}/iscsi

Name:           libiscsi
Summary:        iSCSI client library
# Epoch bump to unmask the packages previously hidden by open-iscsi's libiscsi packages (which are now renamed)
Epoch:          1
Version:        1.20.2
Release:        %mkrel 1
License:        LGPLv2+
Group:          System/Libraries
URL:            https://github.com/sahlberg/libiscsi
Source0:        https://github.com/sahlberg/libiscsi/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig(popt)
BuildRequires:  pkgconfig(cunit)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  rdmacm-devel

%description
libiscsi is a library for attaching to iSCSI resources across
a network.


%package -n %libname
Summary:        iSCSI client library
Group:          System/Libraries
License:        GPLv2+

%description -n %libname
libiscsi is a library for attaching to iSCSI resources across
a network.

%files -n %libname
%license COPYING LICENCE-LGPL-2.1.txt
%doc README.md TODO
%dir %{libiscsi_libdir}
%{libiscsi_libdir}/libiscsi.so.%{major}{,.*}
%config %{_sysconfdir}/ld.so.conf.d/*


%package utils
Summary:        iSCSI Client Utilities
Group:          System/Base
License:        GPLv2+
Requires:       %{libname}%{?_isa} = %{epoch}:%{version}-%{release}

%description utils
The libiscsi-utils package provides a set of assorted utilities to connect
to iSCSI servers without having to set up the Linux iSCSI initiator.

%files utils
%license LICENCE-GPL-2.txt
%{_bindir}/iscsi-ls
%{_bindir}/iscsi-inq
%{_bindir}/iscsi-readcapacity16
%{_bindir}/iscsi-swp
%{_bindir}/iscsi-perf
%{_bindir}/iscsi-test-cu
%{_bindir}/iscsi-pr
%{_bindir}/iscsi-discard
%{_bindir}/iscsi-md5sum
%{_mandir}/man1/iscsi-ls.1.*
%{_mandir}/man1/iscsi-inq.1.*
%{_mandir}/man1/iscsi-md5sum.1.*
%{_mandir}/man1/iscsi-swp.1.*
%{_mandir}/man1/iscsi-test-cu.1.*


%package -n %devname
Summary:        iSCSI client development libraries
Group:          Development/C
Requires:       %{libname}%{?_isa} = %{epoch}:%{version}-%{release}
Provides:       libiscsi-devel = %{epoch}:%{version}-%{release}

%description -n %devname
The %devname package includes the header files for libiscsi.

%files -n %devname
%dir %{libiscsi_includedir}
%{libiscsi_includedir}/iscsi.h
%{libiscsi_includedir}/scsi-lowlevel.h
%{libiscsi_libdir}/libiscsi.so
%{_libdir}/pkgconfig/libiscsi.pc


#######################################################################

%prep
%autosetup -p1

%build
sh autogen.sh
%configure --libdir=%{libiscsi_libdir} \
           --disable-static \
           --disable-werror \
           --without-libgcrypt \
           --with-gnutls
%make_build

%install
%make_install pkgconfigdir=%{_libdir}/pkgconfig

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo %{libiscsi_libdir} > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf


%changelog
* Tue Jul 22 2025 daviddavid <daviddavid> 1:1.20.2-1.mga10
+ Revision: 2258079
- new version: 1.20.2

* Sun Jun 29 2025 umeabot <umeabot> 1:1.20.0-2.mga10
+ Revision: 2225387
- Mageia 10 Mass Rebuild

* Tue Jul 30 2024 daviddavid <daviddavid> 1:1.20.0-1.mga10
+ Revision: 2082956
- new version: 1.20.0
- now libmajor is 10
- replace libgcrypt dependency with gnutls

* Sat Feb 29 2020 tv <tv> 1:1.19.0-0.git6ea30ae.mga9
+ Revision: 1552094
- Update to 1.9.0 git snapshot
- Major is now 9

* Sat Feb 15 2020 umeabot <umeabot> 1:1.18.0-6.mga8
+ Revision: 1525265
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Apr 10 2019 ngompa <ngompa> 1:1.18.0-5.mga7
+ Revision: 1387892
- Epoch bump to unmask the packages previously hidden by open-iscsi's libiscsi packages (which are now renamed)

* Mon Dec 03 2018 tv <tv> 1.18.0-4.mga7
+ Revision: 1337691
- Backport upstream fix for IPv6 connections
- Backport upstream fix for issues reported by coverity

* Sun Sep 23 2018 daviddavid <daviddavid> 1.18.0-3.mga7
+ Revision: 1297090
- fix dependencies

* Thu Sep 06 2018 tv <tv> 1.18.0-2.mga7
+ Revision: 1257455
- fix upgrade

* Thu Sep 06 2018 tv <tv> 1.18.0-1.mga7
+ Revision: 1257445
- enable RDMA support
- new release
- properly libify
- patch50: fix linking

* Tue Apr 26 2016 tv <tv> 1.15.0-3.mga6
+ Revision: 1006579
- include major in devel pkg name so that BS let libiscsi coexist with open-iscsi
- include major in devel pkg name so that BS let libiscsi coexist with open-iscsi
- provides libiscsi-devel
- imported package libiscsi


* Tue Apr 26 2016 Thierry Vignaud <tv@mageia.org> 1.15.0-1.mga6
- import from FC

* Fri Jun 26 2015 Neal Gompa <ngompa13@gmail.com> - 1.15.0-1
- Rebased to version 1.15.0
- Removed patch 20 as it has been upstreamed
- Disabled patch 12 as need for revised one is in question
- Updated patch 13 to current tree
- New tool iscsi-perf

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 12 2014 Paolo Bonzini <pbonzini@redhat.com> - 1.11.0-1
- Rebased to version 1.11.0
- Most patches removed
- New tool iscsi-swp + manpages

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 23 2014 Tomáš Mráz <tmraz@redhat.com> - 1.9.0-5
- Rebuild for new libgcrypt

* Mon Aug 26 2013 Paolo Bonzini <pbonzini@redhat.com> - 1.9.0-4
- Cleaned up patches 18/19 to match upstream more closely

* Mon Aug 26 2013 Paolo Bonzini <pbonzini@redhat.com> - 1.9.0-3
- Improved patch 18 to cover write side too

* Mon Aug 26 2013 Paolo Bonzini <pbonzini@redhat.com> - 1.9.0-2
- Add patch 18 to fix QEMU's scsi-generic mode

* Fri Aug 2 2013 Paolo Bonzini <pbonzini@redhat.com> - 1.9.0-1
- Rebase to 1.9.0
- Cherry-pick selected patches from upstream

* Mon Jul 1 2013 Paolo Bonzini <pbonzini@redhat.com> - 1.7.0-6
- Add patch 5 to silence strict aliasing warnings

* Wed Jun 26 2013 Andy Grover <agrover@redhat.com> - 1.7.0-5
- Add patch 4 to enable installing of iscsi-test binary

* Fri May 3 2013 Paolo Bonzini <pbonzini@redhat.com> - 1.7.0-4
- Add patch 2 for FIPS mode
- Add patch 3 to avoid segmentation fault on iscsi-tools

* Thu Mar 7 2013 Paolo Bonzini <pbonzini@redhat.com> - 1.7.0-3
- Correct license for libiscsi-utils, prefer %%global to %%define
- Add Requires
- Remove %%clean section

* Fri Feb 22 2013 Paolo Bonzini <pbonzini@redhat.com> - 1.7.0-2
- Use %%config for ld.so.conf.d file.

* Fri Feb 22 2013 Paolo Bonzini <pbonzini@redhat.com> - 1.7.0-1
- Initial version (bug 914752)
